Bug 1266625 - yum groups from anaconda installer are "old style"/simple groups
yum groups from anaconda installer are "old style"/simple groups
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: yum (Show other bugs)
7.1
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Valentina Mukhamedzhanova
BaseOS QE Security Team
:
: 1217470 1358927 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 17:53 EDT by Pat Riehecky
Modified: 2017-09-27 23:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Riehecky 2015-09-25 17:53:20 EDT
Description of problem:
After an interactive install, package groups selected in anaconda are not configured as group objects.  As a result the groups are not considered 'installed' by yum.

Later on, if a group is installed, via 'yum group mark install' it is considered installed.

The behavior of package groups should be consistent whether they were selected by anaconda or a later yum command.

Version-Release number of selected component (if applicable):anaconda-19.31.123


How reproducible:100%


Steps to Reproduce:
(A)
1.perform interactive install
2.run 'yum group status'
3.run 'sudo yum group mark-convert'
4.run 'yum group status'
(B)
1.perform interactive install
2.run 'yum group status'
3.run 'sudo yum group mark-install base'
4.run 'sudo yum update'
5.run 'yum group status'

Actual results:
(A)
$ yum group status
Installed environment groups: 0
Available environment groups: 11
Installed groups: 0
Available Groups: 76
Done

(B)
$ yum group status
Installed environment groups: 0
Available environment groups: 11
Installed groups: 0
Available Groups: 76
Done

Expected results:
(A)
$ yum group status
Installed environment groups: 1
Available environment groups: 11
Installed groups: 30
Available Groups: 51
Done

(B)
$ yum group status
Installed environment groups: 0
Available environment groups: 11
Installed groups: 1
Available Groups: 51
Done


Additional info:
yum.conf man page regarding group_command
Comment 2 David Cantrell 2016-01-29 14:17:03 EST
I'm not sure there is anything we need to do in anaconda directly for this as we just use yum.  Maybe the yum team has a better idea.
Comment 3 Valentina Mukhamedzhanova 2016-02-22 06:14:08 EST
*** Bug 1217470 has been marked as a duplicate of this bug. ***
Comment 5 Karel Srot 2017-07-18 02:59:28 EDT
This is probably duplicate of bug 1073484 closed as WONTFIX and probably also bug 1358927.
Comment 6 Karel Srot 2017-07-18 03:04:19 EDT
*** Bug 1358927 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.